import React, { ReactNode } from 'react';
import { PressableProps, StyleProp, ViewStyle } from 'react-native';
export type PressableRippleEffectProps = {
    children: ReactNode;
    color?: string;
    disabled?: boolean;
    duration?: number;
    effect?: 'ripple';
    opacity?: number;
    style?: {
        container: StyleProp<ViewStyle>;
    };
} & Omit<PressableProps, 'style' | 'onPressOut'>;
export declare const PressableRippleEffect: React.ForwardRefExoticComponent<{
    children: ReactNode;
    color?: string | undefined;
    disabled?: boolean | undefined;
    duration?: number | undefined;
    effect?: "ripple" | undefined;
    opacity?: number | undefined;
    style?: {
        container: StyleProp<ViewStyle>;
    } | undefined;
} & Omit<PressableProps, "style" | "onPressOut"> & React.RefAttributes<unknown>>;
